Bug 191923 - LVM2 mirroring: Unable to create mirrors with core logs
Summary: LVM2 mirroring: Unable to create mirrors with core logs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-05-16 14:17 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 21:47:55 UTC


Attachments (Terms of Use)
Patch to fix problem (563 bytes, patch)
2006-05-16 14:17 UTC, Jonathan Earl Brassow
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0504 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2006-08-10 04:00:00 UTC

Description Jonathan Earl Brassow 2006-05-16 14:17:10 UTC
In LVM2/tools/lvcreate.c:_lvcreate there is a missing check for lp->corelog when
creating mirrors, which causes a call to create_mirror_log() even when core
logging was requested.

This prevents users from being able to create mirrors with core logs (single
machine or cluster).

Users are still able to lvconvert to/from mirrors with core logs, and recovery
scenarios are unaffected.

Comment 1 Jonathan Earl Brassow 2006-05-16 14:17:10 UTC
Created attachment 129196 [details]
Patch to fix problem

Comment 5 Red Hat Bugzilla 2006-08-10 21:47:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html



Note You need to log in before you can comment on or make changes to this bug.